/2026-01/retail-media/retailers/{retailer-id}/templates
curl --request GET \
--url https://api.criteo.com/2026-01/retail-media/retailers/{retailer-id}/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.criteo.com/2026-01/retail-media/retailers/{retailer-id}/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.criteo.com/2026-01/retail-media/retailers/{retailer-id}/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"attributes": {
"allCollectionsMandatory": true,
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"sections": [
{
"templateVariables": [
{
"id": "<string>",
"required": true,
"choiceVariableSpecification": {
"options": [
{
"dependentVariables": "<array>",
"id": "<string>"
}
],
"maxSelected": 123,
"minSelected": 123
},
"filesVariablesSpecification": {
"extensions": [],
"maxBytes": 123,
"maxFile": 123,
"minFiles": 123
},
"textVariableSpecification": {
"maxChars": 123
}
}
],
"description": "<string>",
"title": "<string>"
}
],
"skuCollectionMin": 123,
"skuPerCollectionMin": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"displayableSkusMax": 123,
"id": "<string>",
"skuCollectionMax": 123,
"skuPerCollectionMax": 123
},
"id": "<string>",
"type": "<string>"
}
],
"errors": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
],
"warnings": [
{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"source": {},
"stackTrace": "<string>",
"title": "<string>",
"traceId": "<string>",
"traceIdentifier": "<string>"
}
]
}/2026-01/retail-media/retailers/{retailer-id}/templates
Get retailer creative templates
GET
/
2026-01
/
retail-media
/
retailers
/
{retailer-id}
/
templates
/2026-01/retail-media/retailers/{retailer-id}/templates
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
External retailer id to retrieve creative templates for
Response
200 - application/json
Templates found
Was this page helpful?
/2026-01/retail-media/preferred-line-items/{line-item-id}/targeting/stores/delete
Previous
/2026-01/retail-media/retailers/{retailer-id}/templates/{template-id}
Next
⌘I